Delete a Persistent Volume
Deletes a persistent volume from the cluster. The path takes the cluster_id and the pv_id (from List PVs). The action cannot be undone.
DELETE
/api/v1/persistent_volume/{cluster_id}/{pv_id}/Path parameters
cluster_idPathintegerrequiredThe
cluster_idof the cluster (from List / Detail).- required
- must be a valid cluster_id
example10001pv_idPathintegerrequiredThe
pv_idof the persistent volume to delete (from List PVs).- required
- must be a valid persistent volume ID
example15996
Query parameters
project_idQueryintegerrequiredIdentifier of the project to scope the request to. Required integer project ID.
- required
- must be a valid integer project ID
example{{project_id}}apikeyQuerystringrequiredAPI key used to authenticate the delete request.
- required
- non-empty string
example{{api_key}}locationQuerystringrequiredRegion of the cluster.
- required
- must be a valid region name (e.g., Delhi, Chennai)
example{{location}}
Responses
200Successful response
example
200example
persistent volume deleted successfully